Subject: Re: [PATCH net-next] udp: add drop count for packets in udp_prod_queue

From: Willem de Bruijn <[email-masked]>
Date: Tue, 06 Jan 2026 14:22:01 -0500

Mahdi Faramarzpour wrote:
> On Tue, Jan 6, 2026 at 5:24 AM Jakub Kicinski <[email-masked]> wrote:
> >
> > On Mon,  5 Jan 2026 15:17:32 +0330 Mahdi Faramarzpour wrote:
> > > This commit adds SNMP drop count increment for the packets in
> > > per NUMA queues which were introduced in commit b650bf0977d3
> > > ("udp: remove busylock and add per NUMA queues").

Can you give some rationale why the existing counters are insufficient
and why you chose to change then number of counters you suggest
between revisions of your patch?

This code adds some cost to the hot path. The blamed commit added
drop counters, most likely weighing the value of counters against
their cost. I don't immediately see reason to revisit that.

> >
> > You must not submit more than one version of a patch within a 24h
> > period.
> Hi Jakub and sorry for the noise, didn't know that. Is there any way to check
> my patch against all patchwork checks ,specially the AI-reviewer
> before submitting it?

See https://www.kernel.org/doc/html/latest/process/maintainer-netdev.html